X
Tap here to go to the mobile version of the site.

Support Forum

Add-ons are gone

Posted

Since this afternoon (~6 hours ago, 17:36 - GMT+2), every add-ons are gone & disabled without warning to "plugins can't be verified" status.

https://support.mozilla.org/en-US/kb/add-ons-disabled-or-fail-to-install-firefox?redirectlocale=en-US&redirectslug=add-ons-failing-install-firefox

It's not clear to me, is there a step for us or not ?

I tried : https://www.reddit.com/r/firefox/comments/bkhzjy/temp_fix_for_the_armagaddon_20_for_regular/ I tried : restart firefox every 10mns since I saw dev "fixed" the issue (I'm in EU). Still no add-on restored.

6 months ago I was already told to forget about the bookmark description field (https://support.mozilla.org/en-US/questions/1236214). So I disabled auto-updates since. I'm using Firefox 60.2.0esr.

What if I won't apply the "study update" ? Do I have to switch to another browser now ? After 15 years of use this is it ?

Since this afternoon (~6 hours ago, 17:36 - GMT+2), every add-ons are gone & disabled without warning to "plugins can't be verified" status. https://support.mozilla.org/en-US/kb/add-ons-disabled-or-fail-to-install-firefox?redirectlocale=en-US&redirectslug=add-ons-failing-install-firefox It's not clear to me, is there a step for us or not ? I tried : https://www.reddit.com/r/firefox/comments/bkhzjy/temp_fix_for_the_armagaddon_20_for_regular/ I tried : restart firefox every 10mns since I saw dev "fixed" the issue (I'm in EU). Still no add-on restored. 6 months ago I was already told to forget about the bookmark description field (https://support.mozilla.org/en-US/questions/1236214). So I disabled auto-updates since. I'm using Firefox 60.2.0esr. What if I won't apply the "study update" ? Do I have to switch to another browser now ? After 15 years of use this is it ?

Chosen solution

Temporary fix : - Type about:config in your adress bar. - If it says "Danger !", answer "Yes, take the risk". - In the list, set xpinstall.signatures.required to false

Edit : It may not work for everyone. As philipp said : It should work with nightly, devediton, esr and some linux distro builds.

ALL your add-ons should come back in a blink of an eye.

You're welcome!

Read this answer in context 0

Additional System Details

Installed Plug-ins

  • Shockwave Flash 32.0 r0

Application

  • User Agent: Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:60.0) Gecko/20100101 Firefox/60.0

More Information

philipp
  • Top 25 Contributor
  • Moderator
5315 solutions 23463 answers

hi Coucou, the automatic background hotfix is only served to users on the normal release channel. esr versions will receive the fix in a regular program update (60.6.2esr) soon, so you should turn on auto-updates for this again...

hi Coucou, the automatic background hotfix is only served to users on the normal release channel. esr versions will receive the fix in a regular program update (60.6.2esr) soon, so you should turn on auto-updates for this again...

Question owner

Hi Philipp, Thanks for your answer, but again I may not update to 60.6.2, I want to stay on 60.2.0 as it's the latest version supporting bookmark description fields.

I don't get it, updates were turned off, how come a bug not on my end would need me to apply an update ?

Hi Philipp, Thanks for your answer, but again I may not update to 60.6.2, I want to stay on 60.2.0 as it's the latest version supporting '''bookmark description fields'''. I don't get it, updates were turned off, how come a bug not on my end would need me to apply an update ?
philipp
  • Top 25 Contributor
  • Moderator
5315 solutions 23463 answers

Helpful Reply

hi, firefox 60.6.2esr will also still supporting the bookmark description field - those have been retired only in firefox 62 and upwards. so please perform the update when it's made available later on today...

unfortunately the bug that's causing all this hassle is on your end (in your local firefox installation). the signature verification mechanism for addons that was shipping with firefox for years contained a certificate with an expiry date ending on friday, so that needs to be replaced in order to rectify the situation.

hi, firefox 60.6.2esr will also still supporting the bookmark description field - those have been retired only in firefox 62 and upwards. so please perform the update when it's made available later on today... unfortunately the bug that's causing all this hassle is on your end (in your local firefox installation). the signature verification mechanism for addons that was shipping with firefox for years contained a certificate with an expiry date ending on friday, so that needs to be replaced in order to rectify the situation.

Chosen Solution

Temporary fix : - Type about:config in your adress bar. - If it says "Danger !", answer "Yes, take the risk". - In the list, set xpinstall.signatures.required to false

Edit : It may not work for everyone. As philipp said : It should work with nightly, devediton, esr and some linux distro builds.

ALL your add-ons should come back in a blink of an eye.

You're welcome!

Temporary fix : - Type about:config in your adress bar. - If it says "Danger !", answer "Yes, take the risk". - In the list, set xpinstall.signatures.required to false Edit : It may not work for everyone. As philipp said : It should work with nightly, devediton, esr and some linux distro builds. ALL your add-ons should come back in a blink of an eye. You're welcome!

Modified by Coucou

b1uevoid 0 solutions 2 answers

Coucou said

Temporary fix : - Type about:config in your adress bar. - If it says "Danger !", answer "Yes, take the risk". - In the list, set xpinstall.signatures.required to false ALL your add-ons should come back in a blink of an eye.' You're welcome!

For you maybe. Doesn't work for me.

''Coucou [[#answer-1219299|said]]'' <blockquote> Temporary fix : - Type about:config in your adress bar. - If it says "Danger !", answer "Yes, take the risk". - In the list, set xpinstall.signatures.required to false ''' '''ALL your add-ons should come back in a blink of an eye.'''''' You're welcome! </blockquote> For you maybe. Doesn't work for me.

Question owner

b1uevoid said

For you maybe. Doesn't work for me.

Do you run v60.6.2esr ? Sorry I was too enthusiastic seeing all my addons back with all their data after almost 24hours of limbo... I should have mentioned that it may not work for everyone. But it's still worth a try.

''b1uevoid [[#answer-1219302|said]]'' <blockquote> For you maybe. Doesn't work for me. </blockquote> Do you run v60.6.2esr ? Sorry I was too enthusiastic seeing all my addons back with all their data after almost 24hours of limbo... I should have mentioned that it may not work for everyone. But it's still worth a try.

Modified by Coucou

the-edmeister
  • Top 25 Contributor
  • Moderator
5406 solutions 40224 answers

content deleted by me - the-edmeister

''content deleted by me - the-edmeister''

Modified by the-edmeister

philipp
  • Top 25 Contributor
  • Moderator
5315 solutions 23463 answers

the preference works in nightly, devediton, esr and some linux distro builds

the preference works in nightly, devediton, esr and some linux distro builds
Pj 42 solutions 869 answers

b1uevoid said

Doesn't work for me.

There was a Bug-A-Boo with a Certificate Expiration Date dealing with the Add-ons. There's a new FF Version with the main Fix, 66.0.4.

Mozilla Blog Post Update:
A Firefox release has been pushed — version 66.0.4 on Desktop and Android, and version 60.6.2 for ESR. This release repairs the certificate chain to re-enable web extensions, themes, search engines, and language packs that had been disabled (Bug 1549061).
There are remaining issues that we are actively working to resolve, but we wanted to get this fix out before Monday to lessen the impact of disabled add-ons before the start of the week. More information about the remaining issues can be found by clicking on the links to the release notes above.
(May 5, 16:25 EDT)


~Pj

''b1uevoid [[#answer-1219302|said]]'' <blockquote> Doesn't work for me. </blockquote> There was a Bug-A-Boo with a Certificate Expiration Date dealing with the Add-ons. There's a new FF Version with the main Fix, '''66.0.4'''. <Br> <Br> [https://blog.mozilla.org/addons/2019/05/04/update-regarding-add-ons-in-firefox/ Mozilla Blog Post Update]: <Br> <B>A Firefox release has been pushed — version 66.0.4 on Desktop and Android, and version 60.6.2 for ESR. This release repairs the certificate chain to re-enable web extensions, themes, search engines, and language packs that had been disabled (Bug 1549061).<Br> There are remaining issues that we are actively working to resolve, but we wanted to get this fix out before Monday to lessen the impact of disabled add-ons before the start of the week. More information about the remaining issues can be found by clicking on the links to the release notes above. <Br> (May 5, 16:25 EDT)</B> ~Pj